org.apache.poi.ss.formula.functions

## Class Value

- java.lang.Object
- - org.apache.poi.ss.formula.functions.Fixed1ArgFunction
  - - org.apache.poi.ss.formula.functions.Value

- All Implemented Interfaces:
    Function, Function1Arg

      public final class Value
      extends Fixed1ArgFunction

  Implementation for Excel VALUE() function.

  Syntax:
  VALUE(text)
  Converts the text argument to a number. Leading and/or trailing whitespace is ignored. Currency symbols and thousands separators are stripped out. Scientific notation is also supported. If the supplied text does not convert properly the result is #VALUE! error. Blank string converts to zero.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Value()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.Double` | `convertTextToNumber(java.lang.String strText)` TODO see if the same functionality is needed in `OperandResolver.parseDouble(String)`
    `ValueEval` | `evaluate(int srcRowIndex, int srcColumnIndex, ValueEval arg0)` see `Function.evaluate(ValueEval[], int, int)`
    `static java.lang.Double` | `parseDateTime(java.lang.String pText)`

    - ### Methods inherited from class org.apache.poi.ss.formula.functions.Fixed1ArgFunction

      `evaluate`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Value

          public Value()

  - ### Method Detail

    - #### evaluate

          public ValueEval evaluate(int srcRowIndex,
                                    int srcColumnIndex,
                                    ValueEval arg0)

      Description copied from interface: `Function1Arg`
      see `Function.evaluate(ValueEval[], int, int)`

    - #### convertTextToNumber

          public static java.lang.Double convertTextToNumber(java.lang.String strText)

      TODO see if the same functionality is needed in `OperandResolver.parseDouble(String)`
      Returns:
        `null` if there is any problem converting the text

    - #### parseDateTime

          public static java.lang.Double parseDateTime(java.lang.String pText)

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.